bits/alloc_traits.h File Reference

Go to the source code of this file.

## Classes

struct | std::allocator< _Tp >
struct | std::allocator_traits< _Alloc >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_ALLOC_TR_NESTED_TYPE(_NTYPE, _ALT)

## Typedefs

template<typename _Alloc >
using | std::__check_copy_constructible = __allow_copy_cons< __is_copy_insertable< _Alloc >::value >

## Functions

template<typename _Alloc >
void | std::__alloc_on_copy (_Alloc &__one, const _Alloc &__two)
template<typename _Alloc >
_Alloc | std::__alloc_on_copy (const _Alloc &__a)
template<typename _Alloc >
void | std::__alloc_on_move (_Alloc &__one, _Alloc &__two)
template<typename _Alloc >
void | std::__alloc_on_swap (_Alloc &__one, _Alloc &__two)
template<typename _Alloc >
void | std::__do_alloc_on_copy (_Alloc &__one, const _Alloc &__two, true_type)
template<typename _Alloc >
void | std::__do_alloc_on_copy (_Alloc &, const _Alloc &, false_type)
template<typename _Alloc >
void | std::__do_alloc_on_move (_Alloc &__one, _Alloc &__two, true_type)
template<typename _Alloc >
void | std::__do_alloc_on_move (_Alloc &, _Alloc &, false_type)
template<typename _Alloc >
void | std::__do_alloc_on_swap (_Alloc &__one, _Alloc &__two, true_type)
template<typename _Alloc >
void | std::__do_alloc_on_swap (_Alloc &, _Alloc &, false_type)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file bits/alloc_traits.h.